Name:           perl-DBIx-DataModel
Version:        2.46
Release:        1%{?dist}
Summary:        UML-based Object-Relational Mapping (ORM) framework
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DBIx-DataModel/
Source0:        file:///home/dave/mirrors/minicpan//authors/id/D/DA/DAMI/DBIx-DataModel-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008
BuildRequires:  perl(Acme::Damn)
BuildRequires:  perl(Carp)
BuildRequires:  perl(DBD::Mock)
BuildRequires:  perl(DBI)
BuildRequires:  perl(Lingua::EN::Inflect::Phrase)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::Load)
BuildRequires:  perl(MRO::Compat)
BuildRequires:  perl(namespace::clean)
BuildRequires:  perl(Params::Validate)
BuildRequires:  perl(Scalar::Does)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(SQL::Abstract::More) >= 1.21
BuildRequires:  perl(Storable)
BuildRequires:  perl(Task::Weaken)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Try::Tiny)
Requires:       perl(Acme::Damn)
Requires:       perl(Carp)
Requires:       perl(DBD::Mock)
Requires:       perl(DBI)
Requires:       perl(Lingua::EN::Inflect::Phrase)
Requires:       perl(Module::Build)
Requires:       perl(Module::Load)
Requires:       perl(MRO::Compat)
Requires:       perl(namespace::clean)
Requires:       perl(Params::Validate)
Requires:       perl(Scalar::Does)
Requires:       perl(Scalar::Util)
Requires:       perl(SQL::Abstract::More) >= 1.21
Requires:       perl(Storable)
Requires:       perl(Test::More)
Requires:       perl(Try::Tiny)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:	perl(DBD::Oracle)

%description
Introduction

%prep
%setup -q -n DBIx-DataModel-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jul 28 2015 Dave Cross <dave@mag-sol.com> 2.46-1
- Specfile autogenerated by cpanspec 1.78.
